sentry-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Prasad Mujumdar (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SENTRY-324) Sentry need to be refactored to base on Hive 0.13 privilegeType class
Date Mon, 07 Jul 2014 22:53:34 GMT

    [ https://issues.apache.org/jira/browse/SENTRY-324?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14054265#comment-14054265
] 

Prasad Mujumdar commented on SENTRY-324:
----------------------------------------

[~skyapus@yahoo.com] The by patch itself looks fine to me. However we can't directly commit
it since master branch is not compiled with 0.13 yet. I will go ahead and log a umbrella ticket
to add support for Hive 0.13. Thanks!

> Sentry need to be refactored to base on Hive 0.13 privilegeType class
> ---------------------------------------------------------------------
>
>                 Key: SENTRY-324
>                 URL: https://issues.apache.org/jira/browse/SENTRY-324
>             Project: Sentry
>          Issue Type: Bug
>    Affects Versions: 1.4.0
>            Reporter: Ruiming Zhou
>              Labels: newbie
>             Fix For: 1.4.0
>
>         Attachments: SENTRY-324-1.patch
>
>
> Sentry hit compile error when using Hive 0.13.
> Hive 0.13 has refactored the enclosing privilegeType enum out of the Privilege class.
Sentry need to adjust to use  the new privilegeType class. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message